Create trail like
PUT
/api/v1/trail-like
const url = 'https://example.com/api/v1/trail-like';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"actor":"example","trail":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/trail-like \ --header 'Content-Type: application/json' \ --data '{ "actor": "example", "trail": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
actor
required
User ID (15 chars)
string
trail
required
Trail ID (15 chars)
string
Example generated
{ "actor": "example", "trail": "example"}Responses
Section titled “ Responses ”Trail like created
Media type application/json
object
id
required
Like ID (15 chars)
string
actor
required
User ID (15 chars)
string
trail
required
Trail ID (15 chars)
string
created
string format: date-time
Example generated
{ "id": "example", "actor": "example", "trail": "example", "created": "2026-04-15T12:00:00Z"}Bad Request
Internal Server Error